hypRobMoments {fBasics} | R Documentation

## Robust Moments for the HYP

### Description

Computes the first four robust moments for the hyperbolic distribution.

### Usage

    hypMED(alpha = 1, beta = 0, delta = 1, mu = 0)
    hypIQR(alpha = 1, beta = 0, delta = 1, mu = 0)
    hypSKEW(alpha = 1, beta = 0, delta = 1, mu = 0)
    hypKURT(alpha = 1, beta = 0, delta = 1, mu = 0)

### Arguments

`alpha, beta, delta, mu` | shape parameter `alpha`; skewness parameter `beta`, `abs(beta)` is in the range (0, alpha); scale parameter `delta`, `delta` must be zero or positive; location parameter `mu`, by default 0. These is the meaning of the parameters in the first parameterization `pm=1` which is the default parameterization selection. In the second parameterization, `pm=2` `alpha` and `beta` take the meaning of the shape parameters (usually named) `zeta` and `rho`. In the third parameterization, `pm=3` `alpha` and `beta` take the meaning of the shape parameters (usually named) `xi` and `chi`. In the fourth parameterization, `pm=4` `alpha` and `beta` take the meaning of the shape parameters (usually named) `a.bar` and `b.bar`.

### Value

All values for the `*hyp` functions are numeric vectors: `d*` returns the density, `p*` returns the distribution function, `q*` returns the quantile function, and `r*` generates random deviates.

All values have attributes named `"param"` listing the values of the distributional parameters.

### Author(s)

Diethelm Wuertz.

### Examples

    ## hypMED -
       # Median:
       hypMED(alpha = 1, beta = 0, delta = 1, mu = 0)

    ## hypIQR -
       # Inter-quartile Range:
       hypIQR(alpha = 1, beta = 0, delta = 1, mu = 0)

    ## hypSKEW -
       # Robust Skewness:
       hypSKEW(alpha = 1, beta = 0, delta = 1, mu = 0)

    ## hypKURT -
       # Robust Kurtosis:
       hypKURT(alpha = 1, beta = 0, delta = 1, mu = 0)

[Package fBasics version 3042.89 Index]